#include<bits/stdc++.h>
using namespace std;
int arr[100000];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n,k=1,br=0,z=1,ma=0;

    cin>>n;
    for(int i=0; i<n; i++)
    {
        arr[i]=i+1;
    }
    while(br<n-1)
    {
//br=0;
        k++;
        z=z*(k-1);
        for(int i=1*(k-1); i<n; i++)
        {
            if((i/z)%k!=0)
            {
                arr[i]=0;
                br++;
            }


        }
        /*for(int i=0;i<n;i+=1){
           cout<<arr[i]<<" ";
           if(arr[i]==0) br++;

        }
        cout<<endl;*/




    }
    for(int i=1; i<n; i+=1)
    {

        if(arr[i]!=0)
        {
            ma=max(ma,arr[i]);
        }

    }
    cout<<ma<<endl;
    return 0;
}